DevelopAPIcore-services
Profile
The signed-in user: their profile and password.
GET
header
AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
The user, without the password.
application/json- response
The fields of a user: _id, username, displayName, firstName, lastName, email, role, groups and others.
curl -X GET "https://platform.example.com/api/profile" \ -H "Authorization: Bearer $TOKEN"{}PUT
header
AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
- body
picture?fileA file.
Format
binarydisplayName?unknownusername?unknownfirstName?unknownlastName?unknownmiddleName?unknownemail?unknownThe answer.
response?stringapplication/jsonThe id.
curl -X PUT "https://platform.example.com/api/profile" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "picture": "@file", "displayName": "...", "username": "..."}'"string"PUT
header
AuthorizationBearer <token>An access token of an OAuth client: Authorization: Bearer <token>.
application/json- body
currentPassword*unknownpassword*unknownconfirmPassword*unknownThe answer, as JSON.
curl -X PUT "https://platform.example.com/api/profile/password" \ -H "Authorization: Bearer $TOKEN" \ -H "Content-Type: application/json" \ -d '{ "currentPassword": "...", "password": "...", "confirmPassword": "..."}'Empty